#
# spec file for package jarnal
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           jarnal
Version:        10.70
Release:        lp150.2.1
License:        GPLv2+
Summary:        Jarnal is a java based notetaking/sketching application
Url:            http://www.dklevine.com/general/software/tc1000/jarnal.htm
Group:          Productivity/Office/Other
Source0:        %{name}-%{version}.tar.bz2
Source1:        jarnal.desktop
Source2:        jarnal.png
Source3:        jarnal
BuildRequires:  unzip
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  update-desktop-files
Requires:       jre >= 1.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Jarnal is a java based notetaking/sketching application similar to
Microsoft One-Note. For tablet PCs it provides the ability to take
handwritten notes; for desktop PCs it allows users to take notes using
the mouse (or more sensibly) using the keyboard. Each page is stored in
SVG format, and the SVG pages are stored in a standard Zip file.

%prep
%setup -q
%{?suse_update_config:%{suse_update_config -f . }}

%build

%install
%suse_update_desktop_file -i jarnal Office Core-Office
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_bindir}
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/
install -m 755 -d %{buildroot}%{_datadir}/%{name}-%{version}
cp -r *.jar %{buildroot}%{_datadir}/%{name}-%{version}/
install -m 755 %{SOURCE3} %{buildroot}%{_bindir}/jarnal
ln -sf %{name}-%{version} %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_datadir}/%{name}-%{version}/
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_bindir}/jarnal

%changelog
* Thu Nov 24 2011 lars@linux-schulserver.de
- updated to 10.70
- align bash wrapper script to new version
- specfile cleanup
* Fri Apr 11 2008 dkukawka@suse.de
- updated to 9.23:
  - Fixes a bug with the printing of pdf files that includes blank
    pages that have been added by jarnal.
  - Adds a menu item to the view menu "Update Thumbnail Bar" that
    does just that.
* Thu Jan 31 2008 dkukawka@suse.de
- updated to 9.20:
  - Fixes to bugs: the exit dialog was not big enough when running
    as an applet. The menu bar disappeared if a new window was
    opened after using the thumbnail bar.
  - Fixes bugs that caused the network save function to fail when
    the applet was embedded
* Tue Oct 16 2007 dkukawka@suse.de
- updated to 9.17:
  - Major change to memory management - should be much more stable
    and faster with large pdf files and high magnifications.
    However: these changes are beta so have not been thoroughly
    tested.
* Thu Sep 27 2007 dkukawka@suse.de
- updated to 9.11:
  - Updated Jpedal; lib version is now 4
  - Fixes a bug with the printing/exporting to pdf when the
    background was already pdf
  - some additional hotkeys (see the help menu)
  - fixing a crash due to negative stroke-width
* Mon Aug 13 2007 dkukawka@suse.de
- changed Requires to jre >= 1.5.0. Jarnal need java-sun >= 1.5.0
  (see bug #299637)
* Mon May  7 2007 ro@suse.de
- added unzip to buildrequires
* Wed Apr 11 2007 dkukawka@suse.de
- updated to new upstream version 9.01:
  - adds the "Export to PDF" command to the export menu
  - Implements a workaround for the Java 1.6 can't print on
    Linux bug.
  - One other Java 1.5/6 problem: if you use Linux and the compiz
    (or beryl probably - haven't tried it) compositing manager Java
    is completely broken. The only solution is to download the test
    version of 1.6 that fixes the problem.
  - Fixes the way spaces are handled in unix. Files with spaces
    should now work including with the external renderer.
* Thu Mar  8 2007 dkukawka@suse.de
- updated to new upstream version:
  - fixed printing and control keys with a workaround for Linux
  - Small improvements to the "Start Server" dialog
  - Fixed a spacing problem when reopening/copying text with hard
    returns and a font-size other than the default.
  - external renderer support related changes and fixes ( e.g. for
    ghostscript)
  - Jarnal will now warn you before overwriting and existing file
  - The exit dialogs have been fixed so that they give the option
    of saving changes
  - fixed broken way combo boxes work in Java, which created some
    problems with the paper/background dialog and rotation
  - Improves support for ghostscript as an external renderer
  - To celebrate the fact that html works on the clipboard in Java
    1.5, rectangles copied (or cut) to the clipboard can now be
    pasted into other applications that support html cutting and
    pasting. In practice this means openoffice.
  - Fixes an error printing a pdf background that is rotated
    counterclockwise to a pdf file
* Tue Jan 16 2007 dkukawka@suse.de
- fixed bug #234420: added script to /usr/bin to call jarnal
* Mon Jan  8 2007 dkukawka@suse.de
- update to new upstream version which should fix b.n.c #223580
- Fixed b.n.c #222484: readded GenericName
* Sun Nov 12 2006 stbinner@suse.de
- don't repeat Name in GenericName field within .desktop file
* Thu Feb  2 2006 dkukawka@suse.de
- updated to new upstream version v7.84
  * related changes:
  - 7.84: Fixes a bug - the dimensions of overlays were saved and
    copied incorrectly, so saving or copying an overlay
    caused them to grow slightly in size
  - 7.81: For unclear reasons, Java likes to print text in
    randomly chosen font sizes which looks pretty bad. As a
  temporary fix, the "Print via PDF" option has been
  added to the print menu. This first prints a pdf file,
  then uses the native print spooler for your system to
  actually print the pdf to the printer. You set the
  native print command in your jarnalshell.conf file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 dkukawka@suse.de
- initil version (v7.80)
